Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		sox
Version:	14.0.1
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://sox.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}play
Patch0:		%{name}-%{version}-system-gsm.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Sox is a general purpose sound converter/player/recorder.

BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel
BuildRequires:  libmad-devel
BuildRequires:  lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:	gsm-devel

%description
SoX (also known as Sound eXchange) translates sound files between different
file formats, and optionally applies various sound effects.
SoX is intended as the Swiss Army knife of sound processing tools.
It doesn't do anything very well, but sooner or later it comes in very handy.
For more details see: http://sox.sourceforge.net/

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure --with-gsm --includedir=%{_includedir}/sox
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cp %{SOURCE1} $RPM_BUILD_ROOT%_bindir

# fix symlinks
#ln -snf play $RPM_BUILD_ROOT%_bindir/sox
#rm -f $RPM_BUILD_ROOT%_mandir/man1/rec.1
#ln -snf sox.1 $RPM_BUILD_ROOT%_mandir/man1/soxmix.1

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%_bindir/soxplay
%_bindir/play
%_bindir/rec
%_bindir/sox
%_libdir/lib*.so.*
%_libdir/%{name}/*.so.*
%_mandir/man1
%_mandir/man7

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/%{name}/*.a
%_libdir/%{name}/*.la
%_libdir/%{name}/*.so
%_mandir/man3

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 14 2008 Chrisian Wasem <wasem@ccux-linux.de> 14.0.1-1
- Version update
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 13.0.0-1
- Version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.18.2-1
- Version update
* Sun Apr 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 12.17.9-1
- Version Update
- removed include patch
* Tue Sep 20 2005 Christian Wasem <wasem@ccux-linux.de> 12.17.8-1
- Update to Version 12.17.8
